package pw.yumc.MenuProtect;

import org.bukkit.Bukkit;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import org.bukkit.plugin.Plugin;
import org.bukkit.plugin.PluginManager;
import org.bukkit.plugin.java.JavaPlugin;

import cn.citycraft.PluginHelper.config.FileConfig;
import pw.yumc.MenuProtect.listen.ProtectListener;
import pw.yumc.MenuProtect.listen.WowSuchCleanerListener;
import pw.yumc.MenuProtect.utils.MarkUtil;

public class MenuProtect extends JavaPlugin {
    FileConfig config;

    @Override
    public boolean onCommand(final CommandSender sender, final Command command, final String label, final String[] args) {
        if (args.length == 1) {
            final Player player = Bukkit.getPlayerExact(args[0]);
            if (player != null) {
                player.closeInventory();
            }
        }
        return true;
    }

    @Override
    public void onEnable() {
        Bukkit.getPluginManager().registerEvents(new ProtectListener(), this);
        final PluginManager pm = this.getServer().getPluginManager();
        final Plugin wsc = pm.getPlugin("WowSuchCleaner");
        if (wsc != null && wsc.isEnabled()) {
            getLogger().info("发现 WowSuchCleaner 插件 开启相关功能...");
            try {
                Class.forName("io.github.Cnly.WowSuchCleaner.WowSuchCleaner.ItemPreCleanEvent");
                pm.registerEvents(new WowSuchCleanerListener(), this);
            } catch (final ClassNotFoundException e) {
                getLogger().info("WowSuchCleaner 版本过低 可能造成悬浮物上架...");
            }
        }
        this.getLogger().info("菜单物品保护已开启!");
    }

    @Override
    public void onLoad() {
        config = new FileConfig(this);
        MarkUtil.marks = config.getStringList("MarkList");
        MarkUtil.initCommand(config.getConfigurationSection("LoreCommand"));
    }
}
